Get a redemption
curl --request GET \
--url https://api.voucher-staging.allride.io/consumer/v1/redemptions/{redemptionId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voucher-staging.allride.io/consumer/v1/redemptions/{redemptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/consumer/v1/redemptions/{redemptionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.voucher-staging.allride.io/consumer/v1/redemptions/{redemptionId}")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/consumer/v1/redemptions/{redemptionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/consumer/v1/redemptions/{redemptionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 6017,
"resource": "redemption",
"status": "completed",
"channel": "api",
"providerPartnerId": 1030,
"voucherSetId": 2030,
"voucherSetRevisionNo": 2,
"voucherId": 5017,
"voucherSet": {
"id": 2030,
"name": {
"de": "5 € Fahrguthaben",
"en": "€5 ride credit"
},
"providerDisplayName": {
"de": "Acme Scooters",
"en": "Acme Scooters"
}
},
"issued": {
"kind": "code",
"code": "ACME5-7KQ2-M9XA",
"link": "https://acme-scooters.example.com/r?c=ACME5-7KQ2-M9XA"
},
"validFrom": null,
"validUntil": "2026-12-31T22:59:59Z",
"redemptionEntity": {
"id": 9017,
"resource": "redemption-entity",
"refId": "customer:48213",
"_links": {
"self": {
"href": "https://api.voucher.allride.io/consumer/v1/redemption-entities/9017",
"type": "application/json"
}
}
},
"redemptionLink": null,
"batchId": null,
"metadata": {
"redemptionReason": "standard",
"forMonth": "2026-10"
},
"actor": {
"type": "api-key",
"id": 12017,
"label": "Production integration"
},
"idempotencyKey": "order-8812:line-1",
"legacyRef": null,
"redeemedAt": "2026-10-21T17:42:10.120Z",
"voidedAt": null,
"voidedBy": null,
"voidReason": null,
"_links": {
"self": {
"href": "https://api.voucher.allride.io/consumer/v1/redemptions/6017",
"type": "application/json"
},
"voucherSet": {
"href": "https://api.voucher.allride.io/consumer/v1/catalog/voucher-sets/2030",
"type": "application/json"
},
"redemptionEntity": {
"href": "https://api.voucher.allride.io/consumer/v1/redemption-entities/9017",
"type": "application/json"
}
}
}
}
Redemptions
Get a redemption
Returns one redemption, including the issued code or link. See Redeeming vouchers.
Required permissions: view-consumer-redemptions · API keys: allowed
GET
/
consumer
/
v1
/
redemptions
/
{redemptionId}
Get a redemption
curl --request GET \
--url https://api.voucher-staging.allride.io/consumer/v1/redemptions/{redemptionId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voucher-staging.allride.io/consumer/v1/redemptions/{redemptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/consumer/v1/redemptions/{redemptionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.voucher-staging.allride.io/consumer/v1/redemptions/{redemptionId}")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/consumer/v1/redemptions/{redemptionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/consumer/v1/redemptions/{redemptionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 6017,
"resource": "redemption",
"status": "completed",
"channel": "api",
"providerPartnerId": 1030,
"voucherSetId": 2030,
"voucherSetRevisionNo": 2,
"voucherId": 5017,
"voucherSet": {
"id": 2030,
"name": {
"de": "5 € Fahrguthaben",
"en": "€5 ride credit"
},
"providerDisplayName": {
"de": "Acme Scooters",
"en": "Acme Scooters"
}
},
"issued": {
"kind": "code",
"code": "ACME5-7KQ2-M9XA",
"link": "https://acme-scooters.example.com/r?c=ACME5-7KQ2-M9XA"
},
"validFrom": null,
"validUntil": "2026-12-31T22:59:59Z",
"redemptionEntity": {
"id": 9017,
"resource": "redemption-entity",
"refId": "customer:48213",
"_links": {
"self": {
"href": "https://api.voucher.allride.io/consumer/v1/redemption-entities/9017",
"type": "application/json"
}
}
},
"redemptionLink": null,
"batchId": null,
"metadata": {
"redemptionReason": "standard",
"forMonth": "2026-10"
},
"actor": {
"type": "api-key",
"id": 12017,
"label": "Production integration"
},
"idempotencyKey": "order-8812:line-1",
"legacyRef": null,
"redeemedAt": "2026-10-21T17:42:10.120Z",
"voidedAt": null,
"voidedBy": null,
"voidReason": null,
"_links": {
"self": {
"href": "https://api.voucher.allride.io/consumer/v1/redemptions/6017",
"type": "application/json"
},
"voucherSet": {
"href": "https://api.voucher.allride.io/consumer/v1/catalog/voucher-sets/2030",
"type": "application/json"
},
"redemptionEntity": {
"href": "https://api.voucher.allride.io/consumer/v1/redemption-entities/9017",
"type": "application/json"
}
}
}
}
Authorizations
Your API key in Authorization: Bearer <key>. Use vk_test_… keys against the sandbox and vk_live_… keys against production.
Path Parameters
Id of the redemption. Unsigned 64-bit integer (ids and large counters). May exceed 2^53; parse with a BigInt-safe JSON parser in JavaScript.
Required range:
0 <= x <= 18446744073709552000Response
OK
Single-object envelope around a Redemption.
A redemption (consumer view). Append-only. Also the payload of the redemption-created and redemption-voided webhooks.
Show child attributes
Show child attributes